#### spawn (5 of 7 overloads)

Start a new stackful coroutine that executes on a given strand.

    template<
        typename Function,
        typename Executor>
    void spawn(
        const strand< Executor > & ex,
        Function && function,
        const boost::coroutines::attributes & attributes = boost::coroutines::attributes());

This function is used to launch a new coroutine.

###### Parameters

ex

  Identifies the strand that will run the coroutine.

function

  The coroutine function. The function must have the signature:

      void function(yield_context yield);

attributes

  Boost.Coroutine attributes used to customise the coroutine.